Bug 56968 - Disabling improper SMTP '4xx' processing by mailman, and workaround
Disabling improper SMTP '4xx' processing by mailman, and workaround
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: mailman (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-01 11:54 EST by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-13 16:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-12-01 11:54:24 EST
Extended Summary:
================================
mailman delivery outbound queue can get 'stuck' when the next MTA returns a
4xx series transient failure.  mailman should PROPERLY go on the the next
piece in its run queue, but instead improperly stops processing the queue
at that point.

--------------------------------------------------

Latest RawHide version:

#[herrold@stones mail]$ rpm -q mailman
mailman-2.0.7-1

--------------------------------------------------

The Issue
===================================
1.  This was noticed, when caused by remote site DNS issues:

[herrold@stones sendmail]$ dig cimetric.com mx

; <<>> DiG 9.1.0 <<>> cimetric.com mx
;; global options:  printcmd
;; connection timed out; no servers could be reached

... that is, no MX is being returned, and indeed the remote authoratative
nameserver, for whatever is not responding


2.  The domain appears to not be expired ...

[herrold@stones sendmail]$ truewho cimetric.com

Test of domain: cimetric.com

  Date: Sat Dec  1 11:37:58 EST 2001

==================================================
whois  cimetric.com@whois.register.com
[whois.register.com]

   Organization:
      Cimetric Commerce, Inc.

<snip> 
   Domain Name: CIMETRIC.COM

      Created on..............: Fri, May 19, 2000
      Expires on..............: Sun, May 19, 2002
      Record last updated on..: Tue, Jul 31, 2001

   Domain servers in listed order:

   NS1.NCOMGROUP.COM                                 38.196.141.10
   NS2.NCOMGROUP.COM                                 38.196.141.20



3.  Cross check to show that WE do not havee LOCAL resolver issues:

[herrold@stones sendmail]$ dig redhat.com mx

; <<>> DiG 9.1.0 <<>> redhat.com mx
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 20953
;; flags: qr aa rd ra; QUERY: 1, ANSWER: 3, AUTHORITY: 3, ADDITIONAL: 6

;; QUESTION SECTION:
;redhat.com.                    IN      MX

;; ANSWER SECTION:
redhat.com.             86400   IN      MX      10 mail.redhat.com.

--------------

Detection
=========================
4.  How found:

herrold@stones logs]$ pwd ; tail smtp-failure
/var/mailman/logs
Dec 01 11:32:25 2001 (4864) 450 paul.timmerman@cimetric.com (4.7.1
<paul.timmerman@cimetric.com>... Can not check MX records for recipient
host cimetric.com)
Dec 01 11:33:40 2001 (4864) 450 paul.timmerman@cimetric.com (4.7.1
<paul.timmerman@cimetric.com>... Can not check MX records for recipient
host cimetric.com)

... and of course no list mail was flowing ...


TWO PORT FIX
==================================

5.  As a short term workaround, I added the hosed domain to /etc/mail/local


[herrold@stones mail]$ pwd ; tail local-host-names
/etc/mail
#
#
#       011201
penguin.lvcablemodem.com
cimetric.com
#

6. -AND- loosened my /etc/mail/access to accept ALL content proffered to
sendmail from the local mailman (this should probably be added by default
anyway, if not present):


#
#######################################################
#
#       RPH  011201
#
#       Some sendmail 8.10.x and later mail anti-spam rules can cause
#       mailman proffered content to be temporarily declined, and
#       a smtp '450' status is handed back to mailman --
#
#       At this point mailman, through ver 2.0.7 gets wedged and
#       blocked from passing along _other_ content to differing
#       addressees ... It is really a mailman issue as to how
#       it is handling '4xx' messages, but ...
#
#       This entry into /etc/mail/accesss should unquestionably
#       allow mailman to hand mail off to the local sendmail
#       instance, and let the MTA worry about further delivery
#
mailman@localhost               RELAY
#
####################################################
Comment 1 John Dennis 2003-03-13 16:51:22 EST
Hmm... I'm not sure what to do with this bug, its pretty old, mailman has moved
on, current version is 2.1.1 and I'm not sure I even have the ability to
reproduce it. I'm going to close it for now unless somehow howls.

Note You need to log in before you can comment on or make changes to this bug.